import Participant from '../models/Participant.js';

export const getParticipants = async (req, res) => {
    try {
        const { dateId } = req.params;
        const participants = await Participant.findAll({ where: { diaryDateId: dateId } });
        res.status(200).json(participants);
    } catch (error) {
        console.log(error);
        res.status(500).json({ error: 'Fehler beim Abrufen der Teilnehmer' });
    }
};

export const addParticipant = async (req, res) => {
    try {
        const { diaryDateId, memberId } = req.body;
        const participant = await Participant.create({ diaryDateId, memberId });
        res.status(201).json(participant);
    } catch (error) {
        console.log(error);
        res.status(500).json({ error: 'Fehler beim Hinzufügen des Teilnehmers' });
    }
};

export const removeParticipant = async (req, res) => {
    try {
        const { diaryDateId, memberId } = req.body;
        await Participant.destroy({ where: { diaryDateId, memberId } });
        res.status(200).json({ message: 'Teilnehmer entfernt' });
    } catch (error) {
        console.log(error);
        res.status(500).json({ error: 'Fehler beim Entfernen des Teilnehmers' });
    }
};
